## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Sphinx-generated HTML documentation is not suitable for packaging; see
# https://bugzilla.redhat.com/show_bug.cgi?id=2006555 for discussion.
#
# We can generate PDF documentation as a substitute.
%bcond_without docs

Name:           python-wrapt
Version:        1.16.0
Release:        %autorelease
Summary:        A Python module for decorators, wrappers and monkey patching

License:        BSD-2-Clause
URL:            https://github.com/GrahamDumpleton/wrapt
Source0:        %{url}/archive/%{version}/wrapt-%{version}.tar.gz

BuildRequires:  gcc

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

# We bypass tox and instead BR and use pytest directly; this is simpler and
# avoids the need to patch out coverage analysis
# (https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters).
BuildRequires:  python3-pytest

%global common_description %{expand:
The aim of the wrapt module is to provide a transparent object proxy for
Python, which can be used as the basis for the construction of function
wrappers and decorator functions.}

%description %{common_description}


%package -n python3-wrapt
Summary:        %{summary}
%{?python_provide:%python_provide python3-wrapt}

%description -n python3-wrapt %{common_description}


%if %{with docs}
%package doc
Summary:        Documentation for the wrapt module

BuildArch:      noarch

BuildRequires:  make
BuildRequires:  python-sphinx-latex
BuildRequires:  latexmk
# docs/requirements.txt
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

%description doc
%{summary}.
%endif


%prep
%setup -q -n wrapt-%{version}

# Remove bundled egg-info in case it exists
rm -rf wrapt.egg-info


%build
%py3_build

%if %{with docs}
PYTHONPATH="${PWD}" %make_build -C docs latex \
    SPHINXOPTS='-j%{?_smp_build_ncpus}'
%make_build -C docs/_build/latex LATEXMKOPTS='-quiet'
%endif


%install
%py3_install


%check
%pytest -v


%if %{with docs}
%files doc
%license LICENSE
%doc docs/_build/latex/wrapt.pdf
%endif


%files -n python3-wrapt
%doc README.rst
%license LICENSE
%{python3_sitearch}/wrapt
%{python3_sitearch}/wrapt-%{version}-py%{python3_version}.egg-info


%changelog
## START: Generated by rpmautospec
* Wed Nov 27 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.16.0-1
- Update to 1.16.0 (close RHBZ#2160488)

* Wed Nov 27 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.13.3-12
- Run the tests

* Wed Nov 27 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.13.3-10
- Improve the source URL

* Wed Nov 27 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.13.3-9
- Make the -doc subpackage noarch

* Wed Nov 27 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.13.3-8
- Build Sphinx-generated docs as PDF, not HTML, to sidestep guidelines
  issues

* Wed Nov 27 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.13.3-7
- Reduce description/Summary duplication in the spec file

* Wed Nov 27 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.13.3-6
- Add missing LICENSE to -doc subpackage

* Wed Nov 27 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.13.3-5
- Reduce unnecessary macro indirection in the spec file

* Wed Nov 27 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.13.3-4
- Remove ancient workaround for missing %%license support

* Wed Nov 27 2024 Jan Friesse <jfriesse@redhat.com> - 1.13.3-3
- migrated to SPDX license

* Wed Nov 27 2024 Miro Hrončok <miro@hroncok.cz> - 1.13.3-2
- BuildRequire setuptools explicitly, not just transitively

* Wed Nov 27 2024 Kevin Fenzi <kevin@scrye.com> - 1.13.3-1
- Update to 1.13.3. Fixes rhbz#2010551

* Wed Nov 27 2024 Joel Capitao <jcapitao@redhat.com> - 1.13.2-1
- Update to 1.13.2

* Wed Nov 27 2024 Miro Hrončok <miro@hroncok.cz> - 1.12.1-2
- Replace Python version glob with macro (needed for Python 3.10+)

* Wed Nov 27 2024 Clement Verna <cverna@tutanota.com> - 1.12.1-1
- Update to 1.12.1 version

* Wed Sep 11 2019 Miro Hrončok <mhroncok@redhat.com> - 1.11.2-4
- Subpackage python2-wrapt has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Fri Aug 16 2019 Miro Hrončok <mhroncok@redhat.com> - 1.11.2-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 22 2019 Kevin Fenzi <kevin@scrye.com> - 1.11.2-1
- Update to 1.11.2. Fixes bug #1667650

* Thu Feb 07 2019 Javier Peña <jpena@redhat.com> - 1.11.1-1
- Update to upstream 1.11.1

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 15 2018 Miro Hrončok <mhroncok@redhat.com> - 1.10.11-4
- Rebuilt for Python 3.7

* Mon Feb 12 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.10.11-3
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Dec 17 2017 Kevin Fenzi <kevin@scrye.com> - 1.10.11-1
- Update to 1.10.11. Fixes bug #1480582

* Wed Sep 27 2017 Troy Dawson <tdawson@redhat.com> - 1.10.10-5
- Cleanup spec file conditionals

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.10.10-4
- Python 2 binary package renamed to python2-wrapt
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Mar 15 2017 Ralph Bean <rbean@redhat.com> - 1.10.10-1
- new version

* Wed Mar 15 2017 Ralph Bean <rbean@redhat.com> - 1.10.9-1
- new version

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Dec 09 2016 Charalampos Stratakis <cstratak@redhat.com> - 1.10.8-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.8-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Apr 15 2016 Kevin Fenzi <kevin@scrye.com> - 1.10.8-1
- Update to 1.10.8. Fixes bug #1325923

* Mon Apr 04 2016 Ralph Bean <rbean@redhat.com> - 1.10.7-1
- new version

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.5-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Mon Jul 06 2015 Ralph Bean <rbean@redhat.com> - 1.10.5-1
- new version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 15 2015 Ralph Bean <rbean@redhat.com> - 1.10.4-6
- Don't build docs on epel7 (the rtd theme is problematic).

* Sat Apr 11 2015 Ralph Bean <rbean@redhat.com> - 1.10.4-5
- Add python3 subpackage

* Wed Mar 25 2015 Chandan Kumar <chkumar246@gmail.com> - 1.10.4-4
- Added doc files for doc subpackage

* Wed Mar 25 2015 Chandan Kumar <chkumar246@gmail.com> - 1.10.4-3
- Fixed Docs

* Tue Mar 24 2015 Chandan Kumar <chkumar246@gmail.com> - 1.10.4-2
- Removed cflags and group section fro doc subpackage

* Tue Mar 24 2015 Chandan Kumar <chkumar246@gmail.com> - 1.10.4-1
- Bumped to upstream version 1.10.4
- Add docs

* Wed Mar 11 2015 Chandan Kumar <chkumar246@gmail.com> - 1.10.2-1
- Initial package.

## END: Generated by rpmautospec
